Remove an asset from the media library
DELETE
/v1/assets/{asset_id}await bird.assets.delete("ast_01krdgeqcxet5s7t44vh8rt9mg");client.assets.delete("ast_01krdgeqcxet5s7t44vh8rt9mg")if err := client.Assets.Delete(context.Background(), "ast_01krdgeqcxet5s7t44vh8rt9mg"); err != nil {
log.Fatal(err)
}$bird->assets->delete('ast_01krdgeqcxet5s7t44vh8rt9mg');bird assets delete <asset-id> --yescurl -X DELETE "https://us1.platform.bird.com/v1/assets/{asset_id}" \
-H "Authorization: Bearer $TOKEN"Removes an asset from the library. The asset is excluded from default list results, but remains readable by ID or with the deleted list filter unless blocked by staff. Deleting the library entry does not revoke public access: anyone with its URL can continue using it. A separate security or abuse takedown can make the entry and public URL unavailable. Deleting is idempotent.
Parameters
asset_idstringID of the asset.
Related resources
Continue with the documentation, guides and examples for this topic.